Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358324 - Error while configure CFME to use IPA
Summary: Error while configure CFME to use IPA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.6.0
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: GA
: 5.6.3
Assignee: Joe Vlcek
QA Contact: amogh
URL:
Whiteboard: authentication:externalauth
Depends On: 1352822
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 14:05 UTC by John Prause
Modified: 2016-11-30 19:52 UTC (History)
10 users (show)

Fixed In Version: 5.6.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1352822
Environment:
Last Closed: 2016-11-30 19:52:37 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2839 normal SHIPPED_LIVE Important: CFME 5.6.3 security, bug fix, and enhancement update 2016-12-01 00:51:49 UTC

Comment 1 Joe Vlcek 2016-10-07 21:07:17 UTC
$ git log
commit ee8332600ae3baa644b630c8877c7e84ac4480e3
Author: Nick Carboni <ncarboni@redhat.com>
Date:   Mon Sep 26 16:11:06 2016 -0400

    Merge pull request #90 from jvlcek/bz1352822_IPA_conf_fails_locale

    Force locale to avoid failures due to erroneous locale configurations
    (cherry picked from commit 67e18ad9a22363330bab2948fc827dbf5be1e476)

Comment 2 Joe Vlcek 2016-10-07 21:08:48 UTC
(In reply to Joe Vlcek from comment #1)
> $ git log
> commit ee8332600ae3baa644b630c8877c7e84ac4480e3
> Author: Nick Carboni <ncarboni@redhat.com>
> Date:   Mon Sep 26 16:11:06 2016 -0400
> 
>     Merge pull request #90 from jvlcek/bz1352822_IPA_conf_fails_locale
> 
>     Force locale to avoid failures due to erroneous locale configurations
>     (cherry picked from commit 67e18ad9a22363330bab2948fc827dbf5be1e476)

Correction:
$ git log
commit 00dc91aed93188ae6f4c304905aa8f200508790a
Author: Nick Carboni <ncarboni@redhat.com>
Date:   Mon Sep 26 16:11:06 2016 -0400

    Merge pull request #90 from jvlcek/bz1352822_IPA_conf_fails_locale

    Force locale to avoid failures due to erroneous locale configurations
    (cherry picked from commit 67e18ad9a22363330bab2948fc827dbf5be1e476)

    https://bugzilla.redhat.com/show_bug.cgi?id=1358324

Comment 3 Satoe Imaishi 2016-11-04 20:47:13 UTC
PR: https://github.com/ManageIQ/manageiq-appliance/pull/90

Comment 4 amogh 2016-11-18 18:08:13 UTC
verified this BZ in 5.6.3.0.20161108115816_66df924

below lines are updated to /etc/default/evm:
# Force locale
export LANGUAGE=en_US.UTF-8
export LANG=en_US.UTF-8
export LC_CTYPE=en_US.UTF-8

Comment 6 errata-xmlrpc 2016-11-30 19:52:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2839.html


Note You need to log in before you can comment on or make changes to this bug.